Get the building permits of a building
curl --request GET \
--url https://api.gabin.ai/v1/buildings/{id}/permits \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gabin.ai/v1/buildings/{id}/permits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.gabin.ai/v1/buildings/{id}/permits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"total": 0,
"items": [
{
"number": "<string>",
"parcel_id": "<string>",
"types": [
"housing"
],
"status": "<string>",
"filed_year": 0,
"authorized_on": "<string>",
"works_started_on": "<string>",
"completed_on": "<string>",
"project_nature": "<string>",
"main_use": "<string>",
"housing_type": "<string>",
"residence_type": "<string>",
"annex_type": "<string>",
"housing_created": 123,
"housing_demolished": 123,
"living_area_created_m2": 123,
"premises_area_created_m2": 123,
"land_area_m2": 123,
"applicant": {
"siren": "<string>",
"name": "<string>",
"naf_code": "<string>",
"naf_label": "<string>",
"sector": "<string>",
"created_on": "<string>",
"active": true,
"partial_diffusion": true,
"gabin_url": "<string>",
"legal_form": "<string>",
"headcount_range": "11",
"headquarters": {
"address": "<string>",
"postal_code": "<string>",
"city": "<string>"
},
"latest_revenue": 123,
"latest_revenue_year_end": "<string>"
}
}
]
},
"meta": {}
}Buildings
Get the building permits of a building
Building permits (Sitadel) on the building’s parcels, most recent first: type, status, dates, dwellings and areas created. The applicant is given only when it is a legal entity.
GET
/
v1
/
buildings
/
{id}
/
permits
Get the building permits of a building
curl --request GET \
--url https://api.gabin.ai/v1/buildings/{id}/permits \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gabin.ai/v1/buildings/{id}/permits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.gabin.ai/v1/buildings/{id}/permits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"total": 0,
"items": [
{
"number": "<string>",
"parcel_id": "<string>",
"types": [
"housing"
],
"status": "<string>",
"filed_year": 0,
"authorized_on": "<string>",
"works_started_on": "<string>",
"completed_on": "<string>",
"project_nature": "<string>",
"main_use": "<string>",
"housing_type": "<string>",
"residence_type": "<string>",
"annex_type": "<string>",
"housing_created": 123,
"housing_demolished": 123,
"living_area_created_m2": 123,
"premises_area_created_m2": 123,
"land_area_m2": 123,
"applicant": {
"siren": "<string>",
"name": "<string>",
"naf_code": "<string>",
"naf_label": "<string>",
"sector": "<string>",
"created_on": "<string>",
"active": true,
"partial_diffusion": true,
"gabin_url": "<string>",
"legal_form": "<string>",
"headcount_range": "11",
"headquarters": {
"address": "<string>",
"postal_code": "<string>",
"city": "<string>"
},
"latest_revenue": 123,
"latest_revenue_year_end": "<string>"
}
}
]
},
"meta": {}
}Authorizations
API key gab_live_… or OAuth access token gat_….
Path Parameters
BDNB building id (batiment_groupe_id). Example: "bdnb-bg-CJ69-HW8G-PTTG".
Maximum string length:
40Pattern:
^bdnb-[a-z]{2,4}-[A-Za-z0-9]{4}(-[A-Za-z0-9]{4})*$⌘I